summaryrefslogtreecommitdiffstats
path: root/test/testswmr.sh
diff options
context:
space:
mode:
authorNeil Fortner <nfortne2@hdfgroup.org>2013-01-04 20:32:18 (GMT)
committerNeil Fortner <nfortne2@hdfgroup.org>2013-01-04 20:32:18 (GMT)
commit0b7490e7e4f2121b15fe01daa1cce318dab36ad9 (patch)
tree47780f0c54769d94251dd709bf45017c15dcdfdd /test/testswmr.sh
parentea1e90f95ae647cdf5b0d39298743f229e96c701 (diff)
downloadhdf5-0b7490e7e4f2121b15fe01daa1cce318dab36ad9.zip
hdf5-0b7490e7e4f2121b15fe01daa1cce318dab36ad9.tar.gz
hdf5-0b7490e7e4f2121b15fe01daa1cce318dab36ad9.tar.bz2
[svn-r23135] Purpose: Fix bug in SWMR object header code
Descriptions: When removing object header messages, it is possible for object header continuation messages to move to a different chunk. When this happens, flush dependencies need to be updated to reflect the new structure. This change adds code to update the flush dependencies, and a test for this. Also fixed a bug where the flush dependency no the object header proxy was not being destroyed when an object header chunk was deleted. Tested: ummon
Diffstat (limited to 'test/testswmr.sh')
-rwxr-xr-xtest/testswmr.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/test/testswmr.sh b/test/testswmr.sh
index 43f9f39..b178af0 100755
--- a/test/testswmr.sh
+++ b/test/testswmr.sh
@@ -76,6 +76,33 @@ do
do
echo
echo "###############################################################################"
+ echo "## Generator test"
+ echo "###############################################################################"
+ # Launch the Generator without SWMR_WRITE
+ echo launch the swmr_generator
+ ./swmr_generator $compress $index_type
+ if test $? -ne 0; then
+ echo generator had error
+ nerrors=`expr $nerrors + 1`
+ fi
+
+ # Launch the Generator with SWMR_WRITE
+ echo launch the swmr_generator with SWMR_WRITE
+ ./swmr_generator -s $compress $index_type
+ if test $? -ne 0; then
+ echo generator had error
+ nerrors=`expr $nerrors + 1`
+ fi
+
+ # Check for error and exit if one occured
+ $DPRINT nerrors=$nerrors
+ if test $nerrors -ne 0 ; then
+ echo "SWMR tests failed with $nerrors errors."
+ exit 1
+ fi
+
+ echo
+ echo "###############################################################################"
echo "## Writer test - test expanding the dataset"
echo "###############################################################################"